<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Legifail{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('/css/global.css') }}" />
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    {% endblock %}
</head>
<body>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12" id="mainnav">
            <nav class="container navbar navbar-expand-lg static-top">
                <div class="navbar-header">
                    <a class="navbar-brand" href="{{ path('index') }}">
                        <img src="http://panel.failyv.com/assets/images/logo/failyv-dashboard-logo.png" width="30" height="30" class="d-inline-block align-top" alt="">
                        <span id="site_title">LegiFail</span>
                    </a>
                </div>

                <ul class="navbar-nav ml-auto">
                    <form class="form-inline my-2 my-lg-0">
                        {% if not is_granted('IS_AUTHENTICATED_FULLY') %}
                            <a class="icon-navbar btn btn-light" href="{{ path('login') }}">Connexion</a>
                        {% endif %}
                        {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                            <a class="icon-navbar btn btn-dark" href="{{ path('logout') }}">Déconnexion</a>
                        {% endif %}
                        {% if is_granted('ROLE_USER') %}
                            <a class="icon-navbar btn btn-success" href="{{ path('nouveauDecret') }}">Ajouter décret</a>
                            {% if is_granted('ROLE_ADMIN') %}
                                <a class="icon-navbar btn btn-danger" href="{{ path('nouvelleInstance') }}">Ajouter instance</a>
                                <a class="icon-navbar btn btn-danger" href="{{ path('nouvellePersonne') }}">Ajouter personne</a>
                            {% endif %}
                        {% endif %}
                    </form>
                </ul>
            </nav>
        </div>
    </div>
</div>
<div id="page_title" class="col-md-12 d-inline-block">
    {% block pageTitle %}
        <h1>Rechercher un décret</h1>
    {% endblock %}

</div>
{% block actions %}
{% endblock %}
<div class="container-fluid">

    <div class="container">
        <div class="row">

            <div class="col-md-12">
                {% block body %}
{#                    <h2>Effectuer une recherche</h2>#}
{#                    <form>#}
{#                        <div class="form-group">#}
{#                            <label for="search">Rechercher</label>#}
{#                            <input type="text" class="form-control" id="search" placeholder="Code pénal, Robin des bois ...">#}
{#                        </div>#}
{#                        <div class="form-group">#}
{#                            <label for="tag">Catégorie</label>#}
{#                            <select id="tag" class="form-control">#}
{#                                <option selected>Catégorie</option>#}
{#                                <option>Décrets</option>#}
{#                                <option>Lois fédérales</option>#}
{#                            </select>#}
{#                        </div>#}
{#                        <button type="submit" class="btn btn-primary">Rechercher</button>#}
{#                    </form>#}
                    <h2>Liste des décrets en vigueur</h2>
                    {% for decret in decrets %}
                        <li><a href="{{ path('decret', {'id' : decret.id}) }}">{{ decret.titre }}</a> </li>
                    {% endfor %}

                {% endblock %}
            </div>
        </div>
    </div>

    <footer class="page-footer font-small fixed-bottom">

        <!-- Copyright -->
        <div class="footer-copyright text-center py-3">Version 0.1.3.0 | © 2021 Copyright:
            <a href="https://panel.failyv.com"> Kezhan</a>
        </div>
        <!-- Copyright -->

    </footer>
    {% block javascripts %}{% endblock %}
</div>
</body>
</html>
